:root {
	--bd-color: #b8bdc277;
	--bd-color-focus: #558fef;
	--ol-color-focus: #3b82f633
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box
}

html {
	overflow-y: overlay;
	overflow-x: hidden
}

::-webkit-scrollbar {
	width: 7px;
	height: 7px
}

::-webkit-scrollbar-thumb {
	background: #777e88;
	border-radius: 4px
}

a {
	text-decoration: none
}

body {
	background-color: #f5f6f7;
	font-family: 'kohinoor'
}

@font-face {
	font-family: 'kohinoor';
	src: url(./fonts/KohinoorBangla.ttf);
	font-weight: 400;
	font-style: normal;
	font-display: block
}

:root {
	--cont-width: 800px;
	--text-color: #454545;
	--bd-color-light: #eee;
	--text-red: #f3692d
}

input,
button {
	outline: none;
	cursor: pointer
}

input[type="number"] {
	appearance: textfield;
	-moz-appearance: textfield;
	-webkit-appearance: none;
	margin: 0
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0
}

input[type="text"],
input[type="number"],
textarea {
	border: 2px solid var(--bd-color);
	outline: 2px solid transparent;
	transition: all 0.2s ease-in-out;
	border-radius: 8px
}

input[type="text"]:hover,
input[type="number"]:hover,
textarea:hover {
	border-color: var(--bd-color-focus)
}

input[type="text"]:focus,
input[type="number"]:focus,
textarea:focus {
	border-color: var(--bd-color-focus);
	outline-color: var(--ol-color-focus)
}

input[type="text"]::placeholder,
input[type="number"]::placeholder,
textarea::placeholder {
	color: rgba(0, 0, 0, 0.2)
}

ul li {
	list-style: none
}

.query-form {
	display: flex;
	align-items: center;
	gap: 10px
}

.query-form input,
.query-form button {
	border-radius: 8px;
	height: 34px;
	font: normal 14px/34px verdana
}

.query-form input {
	flex: 1;
	padding: 0 10px;
	background-color: #f6f7f8
}

.query-form input:focus {
	background-color: #fff
}

.query-form button {
	padding: 0 20px;
	border: none;
	background-color: #3389e6;
	color: #fff;
	text-shadow: 0 1px 3px rgb(0 102 160 / 30%)
}

.page-tool {
	width: 100vw;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: space-between
}

.page-tool .tool-header {
	background: transparent;
	backdrop-filter: blur(12px);
	top: 0;
	padding: 20px;
	position: fixed;
	width: calc(100vw - 8px);
	height: 100px;
	z-index: 999
}

.page-tool .tool-header::before {
	top: 0
}

.page-tool .tool-header::after {
	top: 80px
}

.page-tool .tool-header .inner {
	position: fixed;
	top: 20px;
	left: calc(50% + 4px);
	width: 800px;
	height: 60px;
	align-items: center;
	padding: 0 20px;
	box-sizing: border-box;
	display: flex;
	align-items: center;
	justify-content: space-between;
	overflow: hidden;
	z-index: 9;
	box-shadow: 0 1px 5px rgb(0 103 166 / 20%);
	background-image: linear-gradient(88deg, #93d7ff, #8ed7ff, #0095ff);
	margin: 0 auto;
	transform: translateX(-50%);
	border-radius: 10px
}

.page-tool .tools-list {
	position: fixed;
	left: calc(50% + 4px);
	transform: translateX(-50%);
	display: none;
	height: 0;
	z-index: 999;
	top: 90px
}

.page-tool .tools-list.vis {
	display: block
}

.page-tool.fullly .tools-list,
.page-tool.fullly .tool-header .inner {
	width: calc(100% - 40px);
	left: 20px;
	transform: none
}

.page-tool.fullly .tool-main .main-center {
	max-width: 100%;
	margin: 0 28px 0 20px;
	padding-bottom: 50px
}

.page-tool.fullly .tool-footer {
	width: 100%;
	padding: 20px
}

.page-tool.widthly .tool-header .inner {
	width: 100%;
	max-width: 1440px;
	min-width: 800px
}

.page-tool.widthly .tool-main .main-center {
	max-width: 1440px;
	min-width: 800px
}

.page-tool.centerly .tool-header .inner,
.page-tool.centerly .tools-list,
.page-tool.centerly .tool-main .main-center {
	width: 800px
}

.page-tool.middly .tool-header .inner,
.page-tool.middly .tools-list,
.page-tool.middly .tool-main .main-center {
	width: 1200px
}

.page-tool .tool-header .inner:before {
	content: "";
	width: 500px;
	height: 300px;
	border-radius: 300px;
	background-color: #fff;
	position: absolute;
	left: -100px;
	top: -220px;
	opacity: 0.5;
	background-image: linear-gradient(88deg, #93d7ff 30%, #4dbcf8, #68c0ff)
}

.page-tool .tool-header .inner:after {
	content: "";
	width: 470px;
	height: 470px;
	border-radius: 50%;
	position: absolute;
	right: -110px;
	top: -7px;
	opacity: 0.5;
	background-image: linear-gradient(88deg, #93d7ff, #8ed7ff, #0095ff)
}

.page-tool .tool-header .inner .logo {
	width: 75px;
	height: 60px;
	display: flex;
	justify-content: flex-end;
	overflow: hidden;
	align-items: center;
	position: relative;
	z-index: 1
}

.page-tool .tool-header .inner .logo a {
	display: block;
	padding: 6px 0 0
}

.page-tool .tool-header .inner .text {
	position: relative;
	z-index: 999;
	margin: -2px 0 0 20px
}

.page-tool .tool-header .inner .text+.text {
	margin-right: auto;
	margin-left: 10px;
	padding: 5px 15px;
	border-radius: 6px;
	cursor: pointer;
	display: flex;
	align-items: center
}

.page-tool .tool-header .inner .text+.text h2 {
	font-size: 14px;
	font-family: 'kohinoor', 'Times New Roman', Times, serif;
	font-weight: 600;
	padding: 5px 14px;
	background: linear-gradient(176deg, #006fb6, #005f9b);
	color: #e9f7ff;
	border-radius: 6px;
	text-shadow: 1px 1px 3px #0b395675
}

.page-tool .tool-header .inner .text+.text i {
	color: #005f97
}

.page-tool .tool-header .inner .text+.text:hover i {
	color: #fff;
	text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2)
}

.page-tool .tool-header .inner .text h2 {
	font: normal 18px / 21px verdana;
	color: #0060a0;
}

.page-tool .tool-header .inner .text h2 a {
	color: #0060a0;
}


.page-tool .tool-header .inner .btns {
	display: flex;
	gap: 10px;
	padding: 0 16px 0 0;
	position: relative;
	z-index: 9
}

.page-tool .tool-header .inner .abtn {
	background: linear-gradient(180deg, #effaff, #ddf5ff);
	box-shadow: 0 1px 3px rgb(99 189 238 / 25%);
	color: #276287;
	padding: 6px 20px;
	font: normal 14px/18px verdana;
	border-radius: 6px;
	border: none
}

.page-tool .tool-header .inner .abtn:hover {
	opacity: 0.8
}

.page-tool .tool-header .inner .search {
	position: relative;
	z-index: 999
}

.page-tool .tool-header .inner .search div {
	display: flex;
	align-items: center
}

.page-tool .tool-header .inner .search input {
	width: 210px;
	height: 30px;
	font: normal 14px/30px 'kohinoor', verdana;
	border: 2px solid #52b7f3;
	border: none;
	padding: 0 10px;
	border-radius: 6px 0 0 6px
}

.page-tool .tool-header .inner .search button {
	border: 2px solid #52b7f3;
	border-left: none;
	border: none;
	border-radius: 0 6px 6px 0;
	font: bold 13px/30px verdana;
	padding: 0 15px;
	color: #666
}

.page-tool .tool-header .inner .allcats {
	margin: 0 15px 0 0;
	width: 30px;
	height: 30px;
	text-align: center;
	color: #014d8e;
	font: normal 16px/32px verdana;
	border-radius: 6px;
	position: relative;
	z-index: 9;
	cursor: pointer;
	transition: all 0.2s ease-in-out
}

.page-tool .tool-header .inner .allcats:hover {
	background: #0054b5;
	color: #fff
}

.page-tool .tool-main {
	padding: 100px 0 0;
	margin-bottom: auto
}

.page-tool .tool-main .main-center {
	max-width: 1400px;
	min-width: 800px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	border-radius: 6px
}

.center-box {
	width: 100%;
	border: 1px solid #eaeef2;
	background: #fff;
	border-radius: 10px;
	padding: 20px
}

.center-box+.center-box {
	margin-top: 30px
}

.page-tool.centerly .main-center {
	position: relative;
	width: 800px;
	display: flex;
	justify-content: space-between;
	flex-direction: column
}

.page-tool .main-body .main-content {
	flex: 1;
	margin: 0 30px
}

.page-tool .main-body .main-content .center-box {
	border: 1px solid var(--bd-color-light);
	border-radius: 10px;
	padding: 30px;
	background-color: #fff
}

.page-tool .main-body .main-content .center-box h6,
.page-tool .tool-main .main-center>h6 {
	font: normal 20px/18px 'kohinoor', 'Microsoft Yahei';
	margin: 20px 0 30px;
	color: var(--text-color);
	width: 100%
}

.page-tool .tool-main .main-center>h6 span {
	font-size: 12px;
	font-weight: normal
}

.page-tool .main-body .main-content .center-box+.center-box {
	margin-top: 20px
}

.page-tool .main-body .main-content .center-box .box-item ul li {
	margin: 0 0 20px
}

.page-tool .main-body .main-content .center-box .box-item ul li>b {
	font-weight: normal;
	font-size: 16px;
	color: #FF5722;
	display: inline-block;
	margin: 0 0 5px
}

.page-tool .main-body .main-content .center-box .box-item ul li dl {
	display: flex;
	flex-wrap: wrap
}

.page-tool .main-body .main-content .center-box .box-item ul li dl dd {
	display: flex;
	width: 230px;
	display: flex;
	align-items: center;
	line-height: 24px
}

.page-tool .main-body .main-content .center-box .box-item ul li dl dd.oneline {
	width: 100%
}

.page-tool .main-body .main-content .center-box .box-item ul li dl dd>b {
	font-weight: normal;
	font-size: 14px;
	color: var(--text-color)
}

.page-tool .main-body .main-content .center-box .box-item ul li dl dd p {
	font-size: 14px;
	font-family: 'arial';
	padding: 0 0 0 10px
}

.page-tool .main-body .main-content .center-box .box-item+h6 {
	margin-top: 60px
}

.note {
	padding: 0 0 80px
}

.note p {
	font: normal 20px/40px verdana;
	margin: 0 0 20px
}

.note ul li {
	color: #222;
	font: normal 14px/24px 'kohinoor';
	list-style: disc inside
}

.note ul li b {
	color: #111;
	font-size: 14px;
	padding: 0 5px 0 0
}

.note-box {
	background-color: #fff;
	margin: 120px 0 20px;
	padding: 20px 38px;
	width: 100%;
	border: 1px dashed rgba(0, 0, 0, 0.12);
	border-radius: 10px
}

.note-box.center {
	text-align: center
}

.note-box .note-inner {
	display: inline-block
}

.note-box h6 {
	font: normal 22px/30px 'kohinoor', verdana;
	margin: 10px 0 20px;
	color: #436685;
	text-align: left
}

.note-box>p.title {
	font: bold 15px/25px verdana;
	color: #357;
	text-align: left
}

.note-box>p {
	color: var(--text-color);
	font: normal 14px/25px 'kohinoor';
	margin: 0 0 10px;
	text-align: left
}

.note-box>p+p {
	padding: 30px 0 0
}

.note-box ul {
	margin: 0 0 30px
}

.note-box ul li {
	font: normal 15px/25px 'kohinoor';
	margin: 0 0 7px;
	padding: 0 0 0 20px;
	color: var(--text-color);
	position: relative;
	text-align: left
}

.note-box ul li::before {
	content: '✦';
	font-size: 13px;
	position: absolute;
	left: 0;
	top: 0
}

.note-box ul li b {
	color: #333
}

.note-box ul li a {
	color: var(--text-color);
	text-decoration: underline
}

.note-list {
	padding: 180px 0 60px;
	display: grid;
	max-width: 1100px;
	margin: 0 auto;
	grid-template-columns: repeat(3, 1fr);
	gap: 20px;
	position: relative;
	user-select: none
}

.note-list .title {
	position: absolute;
	top: 60px;
	width: 100%;
	text-align: center
}

.note-list h5 {
	font: normal 32px/50px 'Microsoft Yahei';
	width: 100%
}

.note-list p {
	font: normal 15px/33px verdana;
	color: #7a7a7a
}

.note-list .item {
	padding: 20px 20px 20px 50px;
	border: 1px solid #eaeaea;
	background-color: #fff;
	border-radius: 10px
}

.note-list .item:hover {
	box-shadow: 0 3px 10px rgba(0, 0, 0, 0.05);
	border-color: #dfdbd1
}

.note-list .item h6 {
	font: normal 18px/28px verdana;
	color: #222;
	display: flex;
	align-items: center;
	gap: 10px;
	margin-left: -32px;
	margin-bottom: 10px
}

.note-list .item h6 i {
	font-size: 20px;
	color: #e69c00
}

.note-list .item p {
	font: normal 14px/24px 'kohinoor', verdana;
	color: #7c8894f2
}

.page-tool .main-center .main-right {
	min-height: 300px;
	flex: 0 0 250px;
	width: 250px
}

.page-tool .main-center .main-right .right-item {
	padding: 5px 20px 15px;
	border: 1px solid var(--bd-color-light);
	background-color: #fff;
	border-radius: 10px
}

.page-tool .main-center .main-right .right-item h6 {
	font: normal 16px/40px verdana;
	border-bottom: 1px solid #eee;
	color: var(--text-color);
	margin: 0 0 10px
}

.page-tool .main-center .main-right .right-item p {
	font: normal 14px/24px 'kohinoor';
	color: var(--text-color)
}

.page-tool .main-center .main-right .right-item p a {
	color: #333
}

.page-tool .main-center .main-right .right-item p a:hover {
	color: #e13
}

.page-tool .main-center .main-right .right-item p a i {
	padding: 0 10px 0 0;
	font-style: normal
}

.page-tool .main-center .main-right .right-item p+p {
	margin: 8px 0 0
}

.page-tool .main-center .main-right .right-url {
	background-color: #fff;
	border: 1px solid #eaeaea;
	border-radius: 8px;
	padding: 10px 10px 10px 15px;
	font: normal 14px/24px 'kohinoor';
	margin: 0 0 10px;
	position: relative
}

.page-tool .main-center .main-right .right-url input {
	width: 100%;
	padding: 0 30px 0 0;
	font-size: 14px;
	font: normal 14px/24px 'kohinoor';
	border: none;
	background-color: transparent;
	overflow: hidden;
	text-overflow: ellipsis
}

.page-tool .main-center .main-right .right-url i {
	position: absolute;
	right: 15px;
	top: 50%;
	transform: translateY(-50%);
	cursor: pointer
}

.page-tool .main-center .main-right .right-spline {
	overflow: hidden;
	user-select: none;
	height: 60px
}

.page-tool .main-center .main-right .right-spline img {
	width: 120%;
	transform: translateY(-10%)
}

.page-tool .scroll-top {
	position: fixed;
	right: 20px;
	bottom: 120px;
	z-index: 10
}

.page-tool .scroll-top button {
	border: none;
	background-color: #ddd;
	color: #fff;
	font-size: 20px;
	width: 40px;
	height: 40px;
	text-align: center;
	font-size: 20px;
	line-height: 40px;
	border-radius: 6px;
	padding: 0
}

.page-tool .scroll-top button:hover {
	background-color: #85d3ff;
	text-shadow: 0 1px 2px rgb(85 182 237)
}

.tabs-line {
	display: flex;
	gap: 2px;
	margin-bottom: 40px;
	flex-wrap: nowrap;
	border-bottom: 2px solid #50b2e8
}

.tabs-line .tab-btn {
	flex: 1;
	font: normal 15px/34px verdana;
	border: none;
	border-bottom: 2px solid #50b2e8;
	background-color: #fff;
	color: #718096;
	cursor: pointer;
	padding: 2px 0 0;
	border-radius: 5px 5px 0 0;
	margin-bottom: -2px;
	text-align: center;
	transition: all 0.2s;
	position: relative;
	white-space: nowrap
}

.tabs-line .tab-btn.active,
.tabs-line .tab-btn.active:hover {
	color: #fff;
	border-bottom-color: #50b2e8;
	background-color: #6fcafc;
	text-shadow: 0 1px 2px rgb(63 157 207 / 30%)
}

.tabs-box {
	display: flex;
	gap: 6px;
	margin-bottom: 14px;
	flex-shrink: 0;
	border-radius: 10px;
	padding: 4px
}

.tabs-box .tab-btn {
	flex: 1;
	padding: 9px 0;
	border: none;
	border-radius: 8px;
	background: transparent;
	font-size: 14px;
	font-family: 'kohinoor';
	cursor: pointer;
	height: 36px;
	transition: all 0.25s;
	text-align: center
}

.tabs-nav {
	display: flex;
	margin-bottom: 20px
}

.tabs-nav .tab-btn {
	flex: 1;
	font: normal 14px / 36px verdana;
	background-color: transparent;
	cursor: pointer;
	transition: all 0.25s ease;
	text-align: center;
	border: 2px solid transparent
}

.tabs-nav .tab-btn+.tab-btn {
	margin-left: -2px
}

.tabs-nav .tab-btn.active {
	background: #aaa;
	color: #fff;
	position: relative;
	z-index: 1
}

.tabs-nav .tab-btn:hover:not(.active) {
	background: rgba(255, 255, 255, 0.4)
}

.tabs-nav .tab-btn:first-child {
	border-radius: 8px 0 0 8px
}

.tabs-nav .tab-btn:last-child {
	border-radius: 0 8px 8px 0
}

.tabs-content {
	flex: 1
}

.tabs-content .tab-pane {
	display: none;
	animation: fadeIn 0.25s ease
}

.tabs-content .tab-pane.active {
	display: block
}

.selector {
	border: 2px solid #b1c6d926;
	border-radius: 8px;
	padding: 3px 8px 4px;
	outline: 2px solid transparent;
	cursor: pointer;
	transition: all .2s ease-in-out;
	background-color: #fff;
	flex: 1
}

.selector select {
	background: transparent;
	color: #454545;
	outline: none;
	border: none;
	font-size: 0.95rem;
	font: normal 14px / 30px verdana;
	height: 30px;
	width: 100%
}

.selector:hover {
	border-color: var(--bd-color-focus)
}

@keyframes fadeIn {
	from {
		opacity: 0;
		transform: translateY(6px)
	}

	to {
		opacity: 1;
		transform: translateY(0)
	}
}

.toast {
	position: fixed;
	top: 30px;
	left: 50%;
	transform: translate(-50%, -10px);
	background: linear-gradient(180deg, #36464b, #1e2a2e);
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
	color: #fff;
	padding: 0 35px;
	font: normal 13px/40px verdana;
	border-radius: 12px;
	z-index: 1000;
	opacity: 0;
	transition: all 0.2s ease-in-out;
	pointer-events: none;
	white-space: nowrap;
	display: flex;
	gap: 10px;
	align-items: center
}

.toast span+span {
	font-size: 27px
}

.toast.show {
	opacity: 1;
	transform: translate(-50%, 0px)
}

.inner-notice {
	border: 1px dashed rgb(240 206 178);
	background-color: #fff8f1;
	border-radius: 8px;
	padding: 20px
}

.inner-notice>p {
	font: normal 15px / 16px verdana;
	margin: 0 0 20px;
	color: #d58a40
}

.inner-notice>div ul li {
	list-style: disc inside;
	font: normal 13px/18px 'kohinoor', verdana;
	margin-bottom: 6px;
	color: var(--text-color)
}

.page-tool .tool-footer {
	display: flex;
	width: var(--cont-width);
	padding: 15px 0;
	margin: 20px auto 0;
	border-top: 1px solid var(--bd-color-light);
	align-items: flex-start;
	justify-content: space-between;
}

.page-tool .tool-footer .footer-left h6 {
	font: bold 14px/32px "微软雅黑";
	display: flex;
	align-items: center;
	color: var(--text-color);
	gap: 5px;
}

.page-tool .tool-footer .footer-left h6 i {
	font-size: 20px;
}

.page-tool .tool-footer .footer-left p {
	font: normal 12px/26px "微软雅黑";
	color: #999;
	display: flex;
	align-items: center;
	gap: 10px;
	position: relative
}

.page-tool .tool-footer .footer-left p a {
	cursor: pointer;
	padding: 2px 0;
	background-color: transparent;
	border-radius: 6px;
	color: #9a9b9c;
	transition: all 0.2s ease-in-out;
}

.page-tool .tool-footer .footer-left p a:hover {
	color: #2c5a88;
}

.page-tool .tool-footer .footer-left p a:hover+.mail {
	opacity: 1;
	transform: translateY(0);
}

.page-tool .tool-footer .footer-left p .mail {
	font: normal 15px/20px 'kohinoor', verdana;
	transition: all 0.2s ease-in-out;
	padding: 0 0 0 8px;
	color: #134ca1;
	opacity: 0;
	transform: translateY(5px);
}

.page-tool .tool-footer .footer-right {
	color: var(--text-color)
}

.page-tool .tool-footer .footer-right div {
	float: right;
	padding: 10px 0 0;
}

.page-tool .tool-footer .footer-right div img {
	height: 80px;
}

.page-tool .tool-footer .footer-right p a {
	font: normal 12px/1.5 "verdana";
	color: #9a9b9c;
}

.btn-start {
	background: linear-gradient(175deg, #58c7ff, #4ac0ff);
	box-shadow: 0 12px 30px rgba(37, 99, 235, 0.4) inset;
	border: none;
	color: #fff;
	padding: 10px 64px;
	border-radius: 50px;
	font-size: 16px;
	cursor: pointer;
	transition: all 0.2s ease-in-out;
	letter-spacing: 1px;
	display: inline-flex;
	align-items: center
}

.btn-start:hover {
	border-radius: 10px
}

.btn-start:active {
	transform: scale(0.9)
}

.btn-light-red {
	background: #ffcab9;
	color: #956060
}

.tools-modal {
	position: fixed;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	background-color: #fff;
	padding: 20px;
	border-radius: 6px;
	box-shadow: 0 4px 24px rgba(0, 0, 0, 0.15);
	z-index: 9999;
	display: none
}

.tools-modal input[type="text"] {
	border: 1px solid #ddd;
	font: normal 14px/18px 'kohinoor', 'Microsoft Yahei'
}

.tools-modal .modal-title {
	font: normal 15px/18px 'kohinoor', 'Microsoft YaHei';
	margin: 0 0 15px;
	color: var(--text-color)
}

.tools-modal .modal-btns {
	display: flex;
	margin-top: 5px;
	justify-content: center;
	gap: 10px
}

.tools-modal .modal-btns button {
	padding: 5px 15px;
	font: normal 14px/20px verdana;
	border: 1px solid transparent;
	background-color: rgb(47, 151, 255);
	color: #fff;
	border-radius: 4px
}

.tools-modal .modal-btns button+button {
	border: 1px solid #aaa;
	background-color: #fff;
	color: #345
}

.tools-list .list-inner {
	width: 120px;
	background: #ffffff;
	position: absolute;
	right: 261px;
	padding: 10px 0;
	border: 2px solid #0072b6;
	border-radius: 10px;
	box-shadow: 1px 1px 20px rgba(0, 0, 0, 0.25)
}

.tools-list .list-inner>div dl {
	padding: 0 25px;
	margin: 0 auto
}

.tools-list .list-inner>div dl dt {
	font: normal 15px/32px "Microsoft YaHei";
	color: #014d8e;
	user-select: none;
	cursor: pointer
}

.tools-list .list-inner>div:hover dl dt,
.tools-list .list-inner>div dl dt:hover {
	color: #e24411;
}

.tools-list .list-inner>div dl dd {
	position: absolute;
	display: none;
	top: -2px;
	left: 127px;
	background-color: #ffffff;
	padding: 10px 15px 10px 10px;
	border: 2px solid #0072b6;
	border-radius: 10px;
	box-shadow: 1px 1px 20px rgba(0, 0, 0, 0.25)
}

.tools-list .list-inner>div dl dd:before {
	position: absolute;
	left: -15px;
	top: 0;
	content: "";
	width: 15px;
	height: 100%
}

.tools-list .list-inner>div dl:hover dd {
	display: block
}

.tools-list .list-inner>div dl dd a {
	font: normal 15px/32px "kohinoor", "Microsoft YaHei";
	color: #455f7d;
	display: block;
	padding: 0 10px 0 15px;
	border-radius: 4px;
	white-space: nowrap
}

.tools-list .list-inner>div dl dd a:hover {
	color: #000
}

.tools-list .list-inner>div dl dd a:hover i {
	opacity: 1;
	transform: scale(2)
}

.tools-list .list-inner>div dl dd a i {
	font-size: 12px;
	font-style: normal;
	margin-right: 13px;
	margin-top: -1px;
	opacity: 0.8
}

.tools-list .list-inner>div dl+dl {
	margin-top: 20px
}

.center-box .tab-btn {
	white-space: nowrap
}

@media (max-width:768px) {
	:root {
		--cont-width: calc(100% - 40px)
	}

	::-webkit-scrollbar {
		width: 0px;
		height: 0px
	}

	body {
		background-color: #eee
	}

	body .page-tool .tool-header {
		padding: 0;
		backdrop-filter: blur(0)
	}

	body .page-tool .tool-header .inner {
		width: 100%;
		height: 70px;
		top: 0;
		left: 0;
		transform: none;
		border-radius: 0;
		box-shadow: none
	}

	body .page-tool .tool-header .inner,
	body .page-tool .tools-list,
	body .page-tool.centerly .tool-header .inner,
	body .page-tool.centerly .tools-list {
		width: 100%
	}

	body .page-tool.centerly .tool-main .main-center {
		width: 100%;
		min-width: auto
	}

	body .page-tool.fullly .tool-footer,
	body .page-tool.fullly .tool-main .main-center {
		margin: 0
	}

	body .page-tool.fullly .tools-list,
	body .page-tool.fullly .tool-header .inner {
		width: 100%;
		left: 0;
		transform: none
	}

	body .page-tool .tool-header .inner .search {
		display: none
	}

	body .page-tool .tool-main .main-center {
		min-width: auto;
		max-width: auto;
		padding: 0;
		width: 100%;
		border-radius: 0
	}

	body .page-tool .tool-main .main-center .center-box {
		flex-direction: column;
		border: none;
		border-radius: 0
	}

	body .page-tool .tool-main .main-center .center-box .box-left,
	body .page-tool .tool-main .main-center .center-box .box-right {
		width: 100%;
		flex: 1
	}

	body .page-tool .tool-header .inner .allcats {
		margin: 0
	}

	body .page-tool .scroll-top {
		display: none
	}

	body .tools-list .list-inner {
		right: 20px
	}

	body .tools-list .list-inner>div dl dd {
		left: auto;
		right: 127px
	}

	body .tools-list .list-inner>div dl dd:before {
		left: auto;
		right: -15px
	}

	body .page-tool .tool-header .inner .logo+.text {
		display: none
	}

	body .page-tool .tool-footer {
		margin: 0 20px;
		flex-direction: column;
		border: none;
		gap: 10px;
		width: calc(100% - 40px)
	}

	body .page-tool .tool-footer .footer-left,
	body .page-tool .tool-footer .footer-right {
		width: 100%;
		display: flex;
		flex-direction: column;
		align-items: center
	}

	body .page-tool .tool-footer .footer-left p a {
		display: none
	}

	body .center-box .tab-btn {
		font-size: 13px;
		padding: 0 10px
	}

	body .page-tool .tools-list {
		left: 0;
		transform: none
	}

	body .note {
		flex-direction: column;
	}

	body .note-box {
		width: auto;
		margin: 100px 20px 20px
	}

	body .page-tool .tool-header .inner .allcats {
		line-height: 29px;
		padding: 1px 0 0;
	}

	body.page-tool .tool-main .main-center>h6 {
		margin: 20px 20px 30px
	}

	.toast {
		top: 20px;
		line-height: 29px
	}
}